org.springframework.jdbc

## Class InvalidResultSetAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.InvalidDataAccessResourceUsageException
              - - org.springframework.jdbc.InvalidResultSetAccessException

- All Implemented Interfaces:
    Serializable

      public class InvalidResultSetAccessException
      extends InvalidDataAccessResourceUsageException

  Exception thrown when a ResultSet has been accessed in an invalid fashion. Such exceptions always have a `java.sql.SQLException` root cause.

  This typically happens when an invalid ResultSet column index or name has been specified. Also thrown by disconnected SqlRowSets.

  Since:
    1.2
  Author:
    Juergen Hoeller
  See Also:
    `BadSqlGrammarException`, `SqlRowSet`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidResultSetAccessException(SQLException ex)` Constructor for InvalidResultSetAccessException.
    `InvalidResultSetAccessException(String task, String sql, SQLException ex)` Constructor for InvalidResultSetAccessException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSql()` Return the SQL that caused the problem.
    `SQLException` | `getSQLException()` Return the wrapped SQLException.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidResultSetAccessException

          public InvalidResultSetAccessException(String task,
                                         String sql,
                                         SQLException ex)

      Constructor for InvalidResultSetAccessException.
      Parameters:
        `task` - name of current task
        `sql` - the offending SQL statement
        `ex` - the root cause

    - #### InvalidResultSetAccessException

          public InvalidResultSetAccessException(SQLException ex)

      Constructor for InvalidResultSetAccessException.
      Parameters:
        `ex` - the root cause

  - ### Method Detail

    - #### getSQLException

          public SQLException getSQLException()

      Return the wrapped SQLException.

    - #### getSql

          public String getSql()

      Return the SQL that caused the problem.
      Returns:
        the offending SQL, if known